Chat now with support
Chat with Support

Foglight for Exchange 5.8.2 - Release Notes

Resolved issues and enhancements

Resolved issues and enhancements

This 5.8.2 release of Foglight for Exchange accompanies the release of Foglight Evolve 9.2 and Foglight for Virtualization, Enterprise Edition 8.9.2. This release includes the following resolved issues and enhancements:

  • Added Connectivity Diagnostic Tool for Exchange agent. (EXC-1557)

Known issues

Known issues

The following is a list of issues known to exist at the time of this release.

Defect ID

Known Issues

EXC-1527

When host provider has been selected as VMware cartridge/Hyper-V cartridge, though the host provider will be changed to IC /Active Directory cartridge later, datastore metrics still display on Exchange Explorer Resource Utilization dashboard.

n/a

Metrics that do not have generally accepted thresholds for alarms are configured as trend alarms.
Workaround: The significance of trends is dependent on the environment and default settings may generate many meaningless alarms in a busy environment while failing to fire at all in a smaller environment. We recommend that the administrator allow the agent to collect values over an adequate period of time to observe normal performance and then adjust trend alarms to fire at suitable thresholds.

n/a

Starting with version 5.7.1, Foglight for Exchange trusts (by default) any certificates for secure LDAP connections in non-FIPS mode, and does not require users to import the SSL certificate any longer. The only case when users need to import the certificate is when they set the vm parameter "quest.ldap.ssl.trustAnyCert" as False to disable any certificate trust. For detailed information on how to import certificate, refer to Managing certificates section in Foglight for Exchange User and Reference Guide.

n/a

Microsoft has announced Active Directory LDAP Channel Binding and LDAP signing requirements (https://support.microsoft.com/en-sg/help/4520412/2020-ldap-channel-binding-and-ldap-signing-requirement-for-windows). Active Directory and Exchange agents are not supported to connect to LDPA service with non-SSL or TLS-encrypted connection. Below error message will be found in the agent log:
Credential LDAP connectivity test failed: UPN: exc@2016dag.fog.local, error message: javax.naming.AuthenticationNotSupportedException: [LDAP: error code 8 - 00002028: LdapErr: DSID-0C090202, comment: The server requires binds to turn on integrity checking if SSL\TLS are not already active on the connection, data 0, v2580 ]
Workaround:
1. Import your root certificate into both FMS and FglAM server. For detailed information on how to import certificate, refer to Managing certificates section in Foglight for Exchange User and Reference Guide.
2. Select enable SSL for LDAP in agent properties and restart the agent.

 

 


Third party known issues

Third party known issues

The following is a list of third party issues known to exist at the time of this release.

Defect ID

Known Issues

EXC-37

The automatic reboot feature of Windows updates may not allow enough time for the FMS to shut down gracefully. This can result in broken agents when the service is restarted.

Workaround: Manually stop the FMS before performing updates.

EXC-31

Exchange services may start before the AutoDiscovery/AutoPurge (ADAP) service causing a failure to transfer Exchange performance libraries to the WMI repository. This results in 0x80041010 (class not found) errors in the log when queries run against these libraries.

Workaround: To refresh the WMI repository, run wmiadap.exe /f at the command line after Exchange services have started.

 


Upgrade and compatibility

Upgrade and compatibility

The latest version of Foglight for Exchange is 5.8.2. You can upgrade to version 5.8.2 of Foglight for Exchange from version 5.7.2.2 and later.

 

Note: When upgrading a stand-alone Foglight for Exchange from a version earlier than 5.7.2.3, the license must be updated. Contact your Quest Account Manager for your new license.

 

To upgrade the Foglight for Exchange to the latest version:

  1. Deactivate all of the Exchange agents.
  2. Install version 5.8.2 of Foglight for Exchange. For details, see Installation instructions.
  3. Deploy the agent package to each Foglight Agent Manager that hosts an Exchange agent instance and wait for the version to update.
    Note: This may take two to three refresh cycles.
  4. From the navigation panel, navigate to Dashboards > Exchange > Exchange Environment > Administration tab. In the Agents view select the Exchange agents that you want to upgrade, and click Upgrade Agent.
    Note: You can specify the lockbox when upgrading the agents. The credentials for the existing agents are updated automatically. 
  5. Verify the agent properties and update the properties and collection intervals as required.
  6. Activate the agents and start data collections.

Important: For a list of issues that you may encounter after upgrading the Foglight for Exchange to version 5.8.2, and ways to troubleshoot these issues, see section Potential issues after upgrading the cartridge to version 5.8.2.

Note: If you are also running Foglight for Active Directory, you must upgrade the Active Directory agents as well. It is strongly recommended that you run the same version and patch level of both cartridges.

 

The following is a list of product versions and platforms compatible with this release.

Product Name

Product Version

Platform

Foglight Management Server

5.9.7

All platforms supported by this version of the Foglight Management Server

Foglight Agent Manager

5.9.7

All platforms supported by this version of the Foglight Agent Manager

Foglight Evolve

9.2

All platforms supported by these versions of the Foglight Evolve

Foglight for Virtualization, Enterprise Edition

8.9.2

All platforms supported by this version of the Foglight for Virtualization, Enterprise Edition

 

 


Related Documents